org.apache.xmpbox.schema

## Class XMPBasicJobTicketSchema

- java.lang.Object
- - org.apache.xmpbox.type.AbstractField
  - - org.apache.xmpbox.type.AbstractComplexProperty
    - - org.apache.xmpbox.type.AbstractStructuredType
      - - org.apache.xmpbox.schema.XMPSchema
        - - org.apache.xmpbox.schema.XMPBasicJobTicketSchema

    public class XMPBasicJobTicketSchema
    extends XMPSchema

### Field Summary

Fields
`static String` `JOB_REF`

### Fields inherited from class org.apache.xmpbox.type.AbstractStructuredType

`STRUCTURE_ARRAY_NAME`

### Constructor Summary

Constructors
Constructor and Description
`XMPBasicJobTicketSchema(XMPMetadata metadata)`
`XMPBasicJobTicketSchema(XMPMetadata metadata, String ownPrefix)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addJob(JobType job)`
`void` `addJob(String id, String name, String url)`
`void` `addJob(String id, String name, String url, String fieldPrefix)`
`List<JobType>` `getJobs()`

### Methods inherited from class org.apache.xmpbox.schema.XMPSchema

`addBagValue, addBagValueAsSimple, addQualifiedBagValue, addSequenceDateValueAsSimple, addUnqualifiedSequenceDateValue, addUnqualifiedSequenceValue, addUnqualifiedSequenceValue, getAboutAttribute, getAboutValue, getAbstractProperty, getBooleanProperty, getBooleanPropertyValue, getBooleanPropertyValueAsSimple, getDateProperty, getDatePropertyValue, getDatePropertyValueAsSimple, getIntegerProperty, getIntegerPropertyValue, getIntegerPropertyValueAsSimple, getUnqualifiedArrayList, getUnqualifiedBagValueList, getUnqualifiedLanguagePropertyLanguagesValue, getUnqualifiedLanguagePropertyValue, getUnqualifiedSequenceDateValueList, getUnqualifiedSequenceValueList, getUnqualifiedTextProperty, getUnqualifiedTextPropertyValue, instanciateSimple, merge, removeUnqualifiedArrayValue, removeUnqualifiedBagValue, removeUnqualifiedSequenceDateValue, removeUnqualifiedSequenceValue, removeUnqualifiedSequenceValue, reorganizeAltOrder, setAbout, setAboutAsSimple, setBooleanProperty, setBooleanPropertyValue, setBooleanPropertyValueAsSimple, setDateProperty, setDatePropertyValue, setDatePropertyValueAsSimple, setIntegerProperty, setIntegerPropertyValue, setIntegerPropertyValueAsSimple, setTextProperty, setTextPropertyValue, setTextPropertyValueAsSimple, setUnqualifiedLanguagePropertyValue`

### Methods inherited from class org.apache.xmpbox.type.AbstractStructuredType

`addSimpleProperty, createArrayProperty, createTextType, getDatePropertyAsCalendar, getNamespace, getPreferedPrefix, getPrefix, getPropertyValueAsString, setNamespace, setPrefix`

### Methods inherited from class org.apache.xmpbox.type.AbstractComplexProperty

`addNamespace, addProperty, getAllNamespacesWithPrefix, getAllProperties, getArrayProperty, getContainer, getFirstEquivalentProperty, getNamespacePrefix, getProperty, removeProperty`

### Methods inherited from class org.apache.xmpbox.type.AbstractField

`containsAttribute, getAllAttributes, getAttribute, getMetadata, getPropertyName, removeAttribute, setAttribute, setPropertyName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### JOB_REF

    public static final String JOB_REF

See Also:
  Constant Field Values

### Constructor Detail

#### XMPBasicJobTicketSchema

    public XMPBasicJobTicketSchema(XMPMetadata metadata)

#### XMPBasicJobTicketSchema

    public XMPBasicJobTicketSchema(XMPMetadata metadata,
                                   String ownPrefix)

### Method Detail

#### addJob

    public void addJob(String id,
                       String name,
                       String url)

#### addJob

    public void addJob(String id,
                       String name,
                       String url,
                       String fieldPrefix)

#### addJob

    public void addJob(JobType job)

#### getJobs

    public List<JobType> getJobs()
                          throws BadFieldValueException

Throws:
  `BadFieldValueException`